Class RFilter::AddressTagger

In: | lib/rfilter/tagged.rb
Parent: | Object

Methods

dated keyword new verify

Attributes

delimiter | [RW] |
key | [RW] |
strength | [RW] |

Public Class methods

new(key, delimiter, strength)

Public Instance methods

dated(address, expires)

expires is the absolute time this dated address will expire. E.g. Time.now + (60 * 60 * 24 * age)

keyword(address, keyword)

verify(address)

Returns true if an address verifies. I.e. that the text portion of the tag matches its HMAC. Throws an ArgumentError if the address isn’t tagged at all.